Bug 859099 - Review Request: perl-PerlIO-utf8_strict - Fast and correct UTF-8 I/O
Review Request: perl-PerlIO-utf8_strict - Fast and correct UTF-8 I/O
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 10:42 EDT by Petr Pisar
Modified: 2012-10-01 11:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 11:19:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
robinlee.sysu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-09-20 10:42:03 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-PerlIO-utf8_strict/perl-PerlIO-utf8_strict.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-PerlIO-utf8_strict/perl-PerlIO-utf8_strict-0.002-1.fc19.src.rpm
Description:
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default :utf8 layer it checks the input for correctness.

Fedora Account System Username: ppisar
Comment 1 Robin Lee 2012-09-30 05:08:39 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[-]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (PerlIO-utf8_strict-0.002.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-PerlIO-utf8_strict-debuginfo-0.002-1.fc19.x86_64.rpm
          perl-PerlIO-utf8_strict-0.002-1.fc19.x86_64.rpm
          perl-PerlIO-utf8_strict-0.002-1.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-PerlIO-utf8_strict perl-PerlIO-utf8_strict-debuginfo
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-PerlIO-utf8_strict-debuginfo-0.002-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

perl-PerlIO-utf8_strict-0.002-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    perl(:MODULE_COMPAT_5.16.1)  
    perl(XSLoader)  
    perl(strict)  
    perl(warnings)  
    rtld(GNU_HASH)  



Provides
--------
perl-PerlIO-utf8_strict-debuginfo-0.002-1.fc19.x86_64.rpm:
    
    perl-PerlIO-utf8_strict-debuginfo = 0.002-1.fc19
    perl-PerlIO-utf8_strict-debuginfo(x86-64) = 0.002-1.fc19

perl-PerlIO-utf8_strict-0.002-1.fc19.x86_64.rpm:
    
    perl(PerlIO::utf8_strict) = 0.002
    perl-PerlIO-utf8_strict = 0.002-1.fc19
    perl-PerlIO-utf8_strict(x86-64) = 0.002-1.fc19



Unversioned so-files
--------------------
perl-PerlIO-utf8_strict-0.002-1.fc19.x86_64.rpm: /usr/lib64/perl5/vendor_perl/auto/PerlIO/utf8_strict/utf8_strict.so

MD5-sum check
-------------
http://www.cpan.org/authors/id/L/LE/LEONT/PerlIO-utf8_strict-0.002.tar.gz :
  CHECKSUM(SHA256) this package     : 6e3163f8a2f1d276c975f21789d7a07843586d69e3e6156ffb67ef6680ceb75f
  CHECKSUM(SHA256) upstream package : 6e3163f8a2f1d276c975f21789d7a07843586d69e3e6156ffb67ef6680ceb75f


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -k sha256 -b 859099


Approved by cheeselee
Comment 2 Petr Pisar 2012-10-01 09:42:16 EDT
New Package SCM Request
=======================
Package Name: perl-PerlIO-utf8_strict
Short Description: Fast and correct UTF-8 I/O
Owners: ppisar jplesnik mmaslano psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-10-01 09:45:50 EDT
Git done (by process-git-requests).
Comment 4 Petr Pisar 2012-10-01 11:19:14 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.